%define oname PlayOnLinux
%define subrel  1

Summary:	Play your Windows games on Linux
Name:		playonlinux
Version:	4.2.9
Release:	%mkrel 1
License:	GPLv3
Group:		Games/Other
Url:		http://www.playonlinux.com
Source0:	http://repository.playonlinux.com/%{oname}/%{version}/%{oname}_%{version}.tar.gz
# Manpage by Debian
Source1:	%{name}.1
Source2:	%{name}-pkg.1
Patch0:		playonlinux-4.2.8-deb-set-debian-env.patch
Patch1:		%{oname}_4.1.6-fix-desktop-file.patch

Requires:	cabextract
Requires:	gettext
Requires:	glxinfo
Requires:	icoutils
Requires:	imagemagick
Requires:	netcat
Requires:	p7zip
Requires:	unzip
Requires:	wget
Requires:	wxPython
Requires:	xterm
Requires:	xz
%ifarch x86_64
Requires:	wine64
%else
Requires:	wine-full
%endif
# for ar
Requires:	binutils
Requires:	gnupg

%description
PlayOnLinux is a piece of software which allows you to install
and use easily numerous games and software designed to run
with Microsoft(R)'s Windows(R). Indeed, currently, still few
games are compatible with GNU/Linux, and it could be a factor
preventing from migrating to this system. PlayOnLinux brings an
accessible and efficient solution to this problem, cost-free
and respectful of the free software.

%prep
%setup -q -n %{name}
%autopatch -p1

find -name "*.000[0-9]" -delete

chmod +x python/{check_python.py,gui_server.py}

%install
install -d %{buildroot}%{_datadir}/%{name}
cp -a bash etc lib plugins python resources %{name}* \
      %{buildroot}%{_datadir}/%{name}
rm -f %{buildroot}%{_datadir}/%{name}/etc/playonmac.icns

cp -a lang/locale %{buildroot}%{_datadir}

for script in %{name} %{name}-pkg; do
cat << EOF > ${script}.sh
#!/bin/sh
exec %{_datadir}/%{name}/${script} "\$@"
exit 0
EOF
install -D -m755 ${script}.sh %{buildroot}%{_bindir}/${script}
done

install -D -m644 etc/PlayOnLinux.desktop %{buildroot}%{_datadir}/applications/%{oname}.desktop
install -D -m644 etc/PlayOnLinux.directory %{buildroot}%{_datadir}/desktop-directories/%{oname}.directory
install -D -m644 etc/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -d %{buildroot}%{_mandir}/man1
install -m644 %{_sourcedir}/%{name}.1 %{buildroot}%{_mandir}/man1
install -m644 %{_sourcedir}/%{name}-pkg.1 %{buildroot}%{_mandir}/man1

%find_lang pol

%files -f pol.lang
%doc LICENCE CHANGELOG.md
%{_bindir}/%{name}
%{_bindir}/%{name}-pkg
%{_datadir}/%{name}/
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/desktop-directories/%{oname}.directory
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-pkg.1*


%changelog
* Mon Sep 21 2015 akien <akien> 4.2.9-1.1.mga5
+ Revision: 882106
- Fix wrong path in playonlinux-pkg wrapper script
- Version 4.2.9, mostly bug fixes since 4.2.6
- Add man pages from Debian

* Sat Mar 07 2015 akien <akien> 4.2.6-1.mga5
+ Revision: 818069
- Disable notification for new upstream versions (mga#7535)
- Version 4.2.6
- Install icon to hicolor theme

* Sun Feb 22 2015 anaselli <anaselli> 4.2.5-2.mga5
+ Revision: 816419
- rebuilt for new libgphoto2

* Fri Nov 07 2014 akien <akien> 4.2.5-1.mga5
+ Revision: 796004
- Version 4.2.5

* Wed Oct 15 2014 umeabot <umeabot> 4.2.4-3.mga5
+ Revision: 747663
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.2.4-2.mga5
+ Revision: 687648
- Mageia 5 Mass Rebuild

* Fri Jul 25 2014 akien <akien> 4.2.4-1.mga5
+ Revision: 656531
- Version 4.2.4

* Thu Jan 16 2014 akien <akien> 4.2.2-1.mga4
+ Revision: 566670
- New 4.2.2 version

* Sat Oct 19 2013 umeabot <umeabot> 4.2.1-3.mga4
+ Revision: 532077
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 stormi <stormi> 4.2.1-2.mga4
+ Revision: 466672
- requires p7zip

* Wed Jun 05 2013 dams <dams> 4.2.1-1.mga4
+ Revision: 437617
- new version 4.2.1

* Sat Apr 13 2013 stormi <stormi> 4.1.9-3.mga3
+ Revision: 409873
- require gnupg to fix bug #9632

* Wed Feb 06 2013 stormi <stormi> 4.1.9-2.mga3
+ Revision: 394804
- add missing netcat dependency

* Sat Jan 19 2013 stormi <stormi> 4.1.9-1.mga3
+ Revision: 389842
- version 4.1.9

* Sun Jan 13 2013 umeabot <umeabot> 4.1.8-2.mga3
+ Revision: 377806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 tv <tv> 4.1.8-1.mga3
+ Revision: 302226
- new release
- require xz instead of lzma

* Sun Aug 19 2012 stormi <stormi> 4.1.6-1.mga3
+ Revision: 282291
- fix disable-GL-checks patch again
- add patch to fix desktop file
- rediff disable-GL-checks patch
- new version 4.1.6

* Sat Aug 04 2012 tv <tv> 4.1.3-4.mga3
+ Revision: 278478
- seems to be 64bit friendly now

* Wed Aug 01 2012 tv <tv> 4.1.3-3.mga3
+ Revision: 277680
- make it installable with wine64

* Sun Jul 29 2012 dmorgan <dmorgan> 4.1.3-2.mga3
+ Revision: 275814
- Add icoutils as Requires

* Sun Jul 22 2012 dmorgan <dmorgan> 4.1.3-1.mga3
+ Revision: 273571
- New version

* Tue Jun 26 2012 dams <dams> 4.1.2-1.mga3
+ Revision: 264003
- new version 4.1.2
- rediff patch
- clean specfile

* Tue Mar 06 2012 pterjan <pterjan> 4.0.15-2.mga2
+ Revision: 220557
- Drop the GL check binaries and use Debian patch to not call them

* Sun Mar 04 2012 stormi <stormi> 4.0.15-1.mga2
+ Revision: 218248
- new version 4.0.15

* Sun Jan 29 2012 stormi <stormi> 4.0.14-1.mga2
+ Revision: 202906
- new version 4.0.14

* Sat Jan 28 2012 tv <tv> 4.0.13-2.mga2
+ Revision: 202547
- rebuild for missing packages

* Sun Oct 23 2011 stormi <stormi> 4.0.13-1.mga2
+ Revision: 157541
- update to version 4.0.13

* Mon May 16 2011 ahmad <ahmad> 3.8.12-2.mga1
+ Revision: 99316
- playonlinux explicitly requires wine-full (i.e. i586 wine package), so it
  shouldn't exist in x86_64 repos; i.e. it should be exclusive arch %%ix86

* Fri Mar 11 2011 stormi <stormi> 3.8.12-1.mga1
+ Revision: 68233
- new version 3.8.12

* Fri Mar 11 2011 stormi <stormi> 3.8.8-2.mga1
+ Revision: 68228
- clean spec
- imported package playonlinux

